Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.sdb
Class StoreDesc

    java.lang.Object
      com.hp.hpl.jena.sdb.StoreDesc

    public class StoreDesc

extends Object

Field Summary
`SDBConnectionDesc` | `connDesc`
`MySQLEngineType` | `engineType` MySQL specific
`String` | `rdbModelName` ModelRDB spefic
`String` | `rdbModelType`

Constructor Summary
`StoreDesc(LayoutType layout, DatabaseType dbType)`
`StoreDesc(LayoutType layout, DatabaseType dbType, FeatureSet featureSet)`
`StoreDesc(String layoutName, String dbTypeName)`
`StoreDesc(String layoutName, String dbTypeName, FeatureSet featureSet)`

Method Summary
`DatabaseType` | `getDbType()`
`LayoutType` | `getLayout()`
`static StoreDesc` | `read(com.hp.hpl.jena.rdf.model.Model m)`
`static StoreDesc` | `read(com.hp.hpl.jena.rdf.model.Resource r)`
`static StoreDesc` | `read(String filename)`
`void` | `setDbType(DatabaseType dbType)`
`void` | `setLayout(LayoutType layout)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### connDesc

    public SDBConnectionDesc connDesc

### rdbModelName

    public String rdbModelName

  ModelRDB spefic

### rdbModelType

    public String rdbModelType

### engineType

    public MySQLEngineType engineType

  MySQL specific

Constructor Detail

### StoreDesc

    public StoreDesc(String layoutName,
                     String dbTypeName)

### StoreDesc

    public StoreDesc(String layoutName,
                     String dbTypeName,
                     FeatureSet featureSet)

### StoreDesc

    public StoreDesc(LayoutType layout,
                     DatabaseType dbType)

### StoreDesc

    public StoreDesc(LayoutType layout,
                     DatabaseType dbType,
                     FeatureSet featureSet)

Method Detail

### read

    public static StoreDesc read(String filename)

### getLayout

    public LayoutType getLayout()

### setLayout

    public void setLayout(LayoutType layout)

### read

    public static StoreDesc read(com.hp.hpl.jena.rdf.model.Model m)

### read

    public static StoreDesc read(com.hp.hpl.jena.rdf.model.Resource r)

### getDbType

    public DatabaseType getDbType()

### setDbType

    public void setDbType(DatabaseType dbType)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2006, 2007, 2008, 2009 Hewlett-Packard Development Company, LP Copyright ? 2010 Epimorphics Ltd.